Page MenuHomePhabricator

Fix over-aggressive call slot optimization in memcpyopt.
AbandonedPublic

Authored by eli.friedman on May 23 2016, 9:13 PM.

Details

Reviewers
majnemer
hfinkel
Summary

Being dereferenceable isn't sufficient for call slot optimization.
Added a big comment clarifying when exactly the optimization is safe.

Fixes PR27849. Reverts code change from r219950.

Diff Detail

Event Timeline

eli.friedman retitled this revision from to Fix over-aggressive call slot optimization in memcpyopt..
eli.friedman updated this object.
eli.friedman added a reviewer: hfinkel.
majnemer accepted this revision.May 24 2016, 7:01 PM
majnemer edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 24 2016, 7:01 PM

Ugh, I forgot you had this review out; I committed a fix for the same issue in r270892...

Sorry about that :/

eli.friedman abandoned this revision.May 26 2016, 4:16 PM